/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkLogDialog.h
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fri, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#ifndef LOGDIALOG_H__
#define LOGDIALOG_H__

#include <QDialog>
#include "ui_ritkLogDialog.h"

namespace ritk
{

/**	@ingroup	Core
 *	@class		LogDialog
 *	@author		Jakob Wasza
 *	@brief		The about dialog 
 *
 *	@details
 *	Dialog to show the LOG output
 */
class LogDialog : public QDialog, public Ui_LogDialog
{
	Q_OBJECT

public:
	/// Constructor
	LogDialog(QWidget* parent = 0);
	/// Destructor
	virtual ~LogDialog();
};

} // end namespace ritk


#endif // LOGDIALOG_H__
